VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "wndLng"
   ClientHeight    =   2790
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   1980
   LinkTopic       =   "Form1"
   ScaleHeight     =   2790
   ScaleWidth      =   1980
   StartUpPosition =   2  'CenterScreen
   Begin VB.CheckBox chkTaskBar 
      Caption         =   "Show In Taskbar"
      Height          =   255
      Left            =   225
      TabIndex        =   6
      Top             =   2400
      Value           =   1  'Checked
      Width           =   1575
   End
   Begin VB.CheckBox chkSizeableBorder 
      Caption         =   "Sizeable Border"
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   1320
      Value           =   1  'Checked
      Width           =   1575
   End
   Begin VB.CheckBox chkToolWindow 
      Caption         =   "Tool Window"
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   2040
      Width           =   1575
   End
   Begin VB.CheckBox chkTitleBar 
      Caption         =   "Title Bar"
      Height          =   255
      Left            =   240
      TabIndex        =   3
      Top             =   1680
      Value           =   1  'Checked
      Width           =   1575
   End
   Begin VB.CheckBox chkMinButton 
      Caption         =   "Min Button"
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   960
      Value           =   1  'Checked
      Width           =   1575
   End
   Begin VB.CheckBox chkMaxButton 
      Caption         =   "Max Button"
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   600
      Value           =   1  'Checked
      Width           =   1575
   End
   Begin VB.CheckBox chkControlBox 
      Caption         =   "Control Box"
      Height          =   255
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Value           =   1  'Checked
      Width           =   1575
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long) As Long
Private Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Private Const GWL_STYLE = (-16)
Private Const GWL_EXSTYLE = (-20)
Private Const WS_CAPTION = &HC00000     ' WS_BORDER Or WS_DLGFRAME
Private Const WS_EX_APPWINDOW = &H40000
Private Const WS_EX_TOOLWINDOW = &H80&
Private Const WS_SYSMENU = &H80000
Private Const WS_MINIMIZEBOX = &H20000
Private Const WS_MAXIMIZEBOX = &H10000
Private Const WS_THICKFRAME = &H40000

Private Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
Private Const SWP_FRAMECHANGED = &H20
Private Const SWP_NOMOVE = &H2
Private Const SWP_NOSIZE = &H1
Private Const SWP_NOZORDER = &H4

' ShowWindow
Private Declare Function ShowWindow Lib "user32" (ByVal hwnd As Long, ByVal nCmdShow As Long) As Long
                 
' ShowWindow Selectors
Const SW_HIDE = 0
Const SW_SHOW = 5
' Set or clear a style or extended style value.
Private Sub SetWindowStyle(ByVal hwnd As Long, ByVal extended_style As Boolean, ByVal style_value As Long, ByVal new_value As Boolean, ByVal brefresh As Boolean)
Dim style_type As Long
Dim style As Long
   
    If extended_style Then
        style_type = GWL_EXSTYLE
    Else
        style_type = GWL_STYLE
    End If

    ' Get the current style.
    style = GetWindowLong(hwnd, style_type)

    ' Add or remove the indicated value.
    If new_value Then
        style = style Or style_value
    Else
        style = style And Not style_value
    End If

    ' Hide Window if Changing ShowInTaskBar
    If brefresh Then
        ShowWindow hwnd, SW_HIDE
    End If

    ' Set the style.
    SetWindowLong hwnd, style_type, style

    ' Show Window if Changing ShowInTaskBar
    If brefresh Then
        ShowWindow hwnd, SW_SHOW
    End If

    ' Make the window redraw.
    SetWindowPos hwnd, 0, 0, 0, 0, 0, _
        SWP_FRAMECHANGED Or _
        SWP_NOMOVE Or _
        SWP_NOSIZE Or _
        SWP_NOZORDER
End Sub
Private Sub chkControlBox_Click()

    SetWindowStyle hwnd, False, WS_SYSMENU, (chkControlBox.Value = vbChecked), False
    
End Sub

Private Sub chkMaxButton_Click()

    SetWindowStyle hwnd, False, WS_MAXIMIZEBOX, (chkMaxButton.Value = vbChecked), False
    
End Sub


Private Sub chkMinButton_Click()

    SetWindowStyle hwnd, False, WS_MINIMIZEBOX, (chkMinButton.Value = vbChecked), False
    
End Sub


Private Sub chkSizeableBorder_Click()

    SetWindowStyle hwnd, False, WS_THICKFRAME, (chkSizeableBorder.Value = vbChecked), False

End Sub

Private Sub chkTaskBar_Click()
   ' Added by Peter Chamberlin, England UK, 21/12/2000

    SetWindowStyle hwnd, True, WS_EX_APPWINDOW, (chkTaskBar.Value = vbChecked), True

End Sub

Private Sub chkTitleBar_Click()

    SetWindowStyle hwnd, False, WS_CAPTION, (chkTitleBar.Value = vbChecked), False
    
End Sub


Private Sub chkToolWindow_Click()

    SetWindowStyle hwnd, True, WS_EX_TOOLWINDOW, (chkToolWindow.Value = vbChecked), False
    
End Sub
